{% extends "base.html" %} {% load static%} {% load django_tables2 %} {% load render_table from django_tables2 %}

  {% block internal_css %}
  <link rel="stylesheet" href="{% static 'css/addSeries.css' %}">
  <link rel="stylesheet" href="{% static 'css/table.css' %}">

    {% endblock %}
  {% block external_css %}
  <link href="//cdnjs.cloudflare.com/ajax/libs/select2/4.0.0/css/select2.min.css" rel="stylesheet" />
  <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.47/css/bootstrap-datetimepicker.min.css">
  {% endblock %}
  {% block external_js %}
      <script src="https://cdn.jsdelivr.net/npm/js-cookie@2/src/js.cookie.min.js"></script>
  {% endblock %}
  {% block internal_js %}
    <script src="{% static 'js/jquery-ui.min.js' %}" defer></script>


    <script>
      document.addEventListener("DOMContentLoaded", function() {
        const csrftoken   = Cookies.get('csrftoken');

        // console.log('the cookie is:', csrftoken);

        function csrfSafeMethod(method) {
            // these HTTP methods do not require CSRF protection
            return /^(GET|HEAD|OPTIONS|TRACE)$/.test(method);
        }
        $.ajaxSetup({
            beforeSend: function(xhr, settings) {
                if (!csrfSafeMethod(settings.type) && !this.crossDomain) {
                    xhr.setRequestHeader('X-CSRFToken', csrftoken);
                }
            }
        });
        $('#submit_data_button').on('click', function() {

            $('#submit_data_button').html($(this).data('loading-text'));
            $('#data_div').hide('slow');
            let jsonData = $('#datajson')
              .val();
            // jsonData = JSON.stringify(jsonData);
            console.log(JSON.parse(jsonData));
            $.ajax({
                type: 'POST',
                url: '/addData/',
                data: jsonData,
                dataType: 'json',
                success: function(response) {
                    let txt = `Successfully uploaded annotations.
                        <a href="/dcc/detailSeries/${response}/">
                            See details
                        <a>`;
                    $('#submit_data_button').hide();
                    $('#success_summary').html(txt);
                },
                error : function(xhr) {
                $('#success_summary').html(
                    /* @html */`<div class='alert-box alert radius' data-alert>
                        Error: ${xhr.responseText}
                        <a href='#' class='close'>&times;</a>
                    </div>`
                ); // add the error to the dom
                // console.log(`${xhr.status}: ${xhr.responseText}`); // provide a bit more info about the error to the console
                $('#submit_data_button').blur();
            }

            });

    });
  });
    </script>
{% endblock %}


{% block content %}
<body>
    <main>
        <noscript>
            <META HTTP-EQUIV="Refresh" CONTENT="0;URL=404.html">
        </noscript>
        <form method="POST" enctype="multipart/form-data">{% csrf_token %}
                <section id="data">
                <h2 id="data_header"><span id="data_header_section_name" class="header_section_name">Data</span></h2>
                <div id="data_div">
                    <textarea name="datajson" id="datajson" rows="8" cols="80"></textarea>
                </div>
                <button type="button" name="button" class="btn btn--submit btn-success" value="Submit" id="submit_data_button" data-loading-text="<i class='fas fa-circle-notch fa-spin'></i> Processing">Submit</button>
            </section>
            <div id="success_summary">
            </div>

        </form>
    </main>
</body>
{% endblock %}
